﻿using Wisej.Base;
using Wisej.Web;

namespace SampleSessionTimeout
{
    public partial class InputWindow : Form
    {
        public InputWindow()
        {
            InitializeComponent();
        }

        private void InputWindow_Load(object sender, System.EventArgs e)
        {
            AppLogger.GetLogger().Info("InputWindow Open");

            label1.Text = string.Format("SessionTimeout is {0} sec",
                ApplicationBase.Configuration.SessionTimeout);
            label2.Text = string.Format("KeepAliveInterval is {0} sec",
                ApplicationBase.Configuration.KeepAliveInterval);
        }

        private void InputWindow_FormClosed(object sender, FormClosedEventArgs e)
        {
            AppLogger.GetLogger().Info("InputWindow Closed\r\n");
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            Close();
        }
    }
}