﻿using System;
using Wisej.Base;
using Wisej.Web;

namespace SampleSessionTimeout
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void MainPage_Load(object sender, EventArgs e)
        {
            AppLogger.GetLogger().Info("MainPage Open");

            label1.Text = string.Format("SessionTimeout is {0} sec",
                ApplicationBase.Configuration.SessionTimeout);
            label2.Text = string.Format("KeepAliveInterval is {0} sec",
                ApplicationBase.Configuration.KeepAliveInterval);

            Disposed += MainPage_Disposed;
        }

        private void MainPage_Disposed(object sender, EventArgs e)
        {
            AppLogger.GetLogger().Info("MainPage Disposed\r\n");
        }

        private void inputWindowBtn_Click(object sender, EventArgs e)
        {
            using (var inputWindow = new InputWindow())
            {
                inputWindow.ShowDialog();
            }
        }
    }
}